program PERDE;
var a,b,i,c,r,n:integer;
begin
   read(a,b);
   if (a-1) mod (b-1) = 0 then n:=0
                          else n:=(a-1) mod (b-1);
   r:=(a-1) div (b-1);
   c:=1;
   write(c);

   for i:=1 to b-1 do begin
    inc(c,r);
    if ((i<=n)and(r<>1)) then write(' ',c+1)
                         else if (r=1)then write(' ',c+1);
   end;
end.